The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз системы самодостаточных пакетов Flatpak 1.10.0

17.01.2021 11:27

Опубликована новая стабильная ветка инструментария Flatpak 1.10, который предоставляет систему для сборки самодостаточных пакетов, не привязанных к конкретным дистрибутивам Linux и выполняемых в специальном контейнере, изолирующем приложение от остальной системы. Поддержка выполнения Flatpak-пакетов обеспечена для Arch Linux, CentOS, Debian, Fedora, Gentoo, Mageia, Linux Mint, Alt Linux и Ubuntu. Пакеты с Flatpak включены в репозиторий Fedora и поддерживаются в штатной программе управления приложениями GNOME.

Ключевые новшества в ветке Flatpak 1.10:

  • Реализована поддержка нового формата репозитория, позволяющего ускорить доставку обновлений и сократить размер загружаемых данных. Репозиторий основывается на технологии OSTree, в которой для идентификации содержимого используется индексный файл, который обновляется при каждом изменении. Размер индексного файла зависит от числа пакетов и поддерживаемых архитектур. Новый формат репозитория подразумевает разделение индексных файлов для разных архитектур, а также применение delta-обновлений для загрузки только частей индекса, изменившихся с прошлой версии репозитория. Применение инкрементальных обновлений позволило в 100 раз сократить трафик и сняло ограничения по поддержке во Flathub дополнительных архитектур. Например, во Flathub общий размер индекса в настоящее время составляет 6.6 МБ (1.8 МБ сжатый), варианта для архитектуры x86-64 - 2.7 МБ (554 КБ сжатый), а при обновлении с прошлой версии требуется загрузка всего 20 КБ.
  • Добавлена новая команда "flatpak pin" для закрепления runtime (не будет удаляться при отсутствии использующих его приложений). По умолчанию закрепление применяется для runtime, установленных явно, а не автоматически загруженных в числе зависимостей при установке приложения.
  • При общем обновлении ("flatpak update") или удалении отдельных приложений обеспечено автоматическое удаление неиспользуемых runtime, которые не закреплены и имеют истекшее время жизни.
  • Улучшено определение похожих путей приложений, например, "/org/gnome/sound-juicer" теперь сопоставляется с "org.gnome.SoundJuicer".
  • Добавлена поддержка нового стандарта на оформление файлов в os-release в контейнерах.
  • Добавлен профиль для tcsh.
  • При поиске зависимостей репозиторий устанавливаемого приложения теперь имеет более высокий приоритет, чем другие репозитории.
  • Повышена эффективность кэширования индекса репозитория в памяти.
  • Запрещено указание "--filesystem=/".
  • Добавлены новые API: flatpak_installation_list_pinned_refs, flatpak_transaction_set_disable_auto_pin, flatpak_transaction_set_include_unused_uninstall_ops, flatpak_transaction_operation_get_subpaths, flatpak_transaction_operation_get_requires_authentication.
  • Обеспечена совместимость с находящимся в разработке GCC 11.
  • Улучшено определение сокетов PulseAudio в нетиповых конфигурациях.
  • В sandbox-окружениях, в которых разрешён доступ к сети, открыт доступ к сокетам systemd-resolved, а также разрешено выполнение команд "--unset-env" и "--env=FOO=" для удаления или присвоения пустого значения переменным окружения.
  • При обновлении теперь вначале устанавливается новая версия приложения и только потом удаляется старая, т.е. сбой при установке теперь не приводит к пропаданию приложения.
  • Пользователю root разрешено обходить ограничения родительского контроля.

Напомним, что разработчикам приложений Flatpak даёт возможность упростить распространение своих программ, не входящих в штатные репозитории дистрибутивов за счет подготовки одного универсального контейнера без формирования отдельных сборок для каждого дистрибутива. Пользователям, заботящимся о безопасности, Flatpak позволяет выполнить вызывающее сомнение приложение в контейнере, предоставив доступ только к сетевым функциям и файлам пользователя, связанным с приложением. Пользователям, интересующимся новинками, Flatpak позволяет установить самые свежие тестовые и стабильные выпуски приложений без необходимости внесения изменений в систему. Например, в настоящее время Flatpak-пакеты уже собираются для LibreOffice, Midori, GIMP, Inkscape, Kdenlive, Steam, 0 A.D., Visual Studio Code, VLC, Slack, Skype, Telegram Desktop, Android Studio и т.д.

Для уменьшения размера пакета он включает лишь специфичные для приложения зависимости, а базовые системные и графические библиотеки (GTK, Qt, библиотеки GNOME и KDE и т.п.) оформлены в виде подключаемых типовых runtime-окружений. Ключевое отличие Flatpak от Snap заключается в том, что Snap использует компоненты окружения основной системы и изоляцию на основе фильтрации системных вызовов, в то время как Flatpak создаёт отдельный от системы контейнер и оперирует крупными runtime-наборами, предоставляя в качестве зависимостей не пакеты, а типовые системные окружения (например, все библиотеки, необходимые для работы программ GNOME или KDE).

Помимо типового системного окружения (runtime), устанавливаемого через специальный репозиторий, поставляются дополнительные зависимости (bundle), требуемые для работы приложения. В сумме runtime и bundle образуют начинку контейнера, при том, что runtime устанавливается отдельно и привязывается сразу к нескольким контейнерам, что позволяет обойтись без дублирования общих для контейнеров системных файлов. В одной системе может быть установлено несколько разных runtime (GNOME, KDE) или несколько версий одного runtime (GNOME 3.36, GNOME 3.38). Контейнер с приложением в качестве зависимости использует привязку только к определённому runtime, без учёта отдельных пакетов, из которых состоит runtime. Все недостающие элементы упаковываются непосредственно вместе с приложением. При формировании контейнера содержимое runtime монтируется как раздел /usr, а bundle монтируется в директорию /app.

Начинка runtime и контейнеров приложений формируется с использованием технологии OSTree, при которой образ атомарно обновляется из Git-подобного хранилища, позволяющего применять методы версионного контроля к компонентам дистрибутива (например, можно быстро откатить систему к прошлому состоянию). RPM-пакеты транслируются в репозиторий OSTree при помощи специальной прослойки rpm-ostree. Отдельная установка и обновление пакетов внутри рабочего окружения не поддерживается, система обновляется не на уровне отдельных компонентов, а целиком, атомарно меняя своё состояние. Предоставляются средства для инкрементального применения обновлений, избавляющие от необходимости полной замены образа при каждом обновлении.

Формируемое изолированное окружение полностью независимо от используемого дистрибутива и при надлежащих настройках пакета не имеет доступа к файлам и процессам пользователя или основной системы, не может напрямую обращаться к оборудованию, за исключением вывода через DRI, и обращений к сетевой подсистеме. Вывод графики и организация ввода реализованы при помощи протокола Wayland или через проброс сокета X11. Взаимодействие с внешней средой построено на основе системы обмена сообщениями DBus и специального API Portals.

Для изоляции используется прослойка Bubblewrap и традиционные для Linux технологии контейнерной виртуализации, основанные на использовании cgroups, пространств имён (namespaces), Seccomp и SELinux. Для вывода звука применяется PulseAudio. При этом изоляция может быть отключена, чем пользуются разработчики многих популярных пакетов для получения полного доступа к ФС и всем устройствам в системе.

  1. Главная ссылка к новости (https://lists.freedesktop.org/...)
  2. OpenNews: Релиз системы самодостаточных пакетов Flatpak 1.8.0
  3. OpenNews: Релиз системы самодостаточных пакетов Flatpak 1.6.0
  4. OpenNews: Критика Flatpak
  5. OpenNews: Уязвимость в snapd и flatpak, позволяющая обойти режим изоляции
  6. OpenNews: Уязвимость во Flatpak, позволяющая повысить привилегии в системе
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/54412-flatpak
Ключевые слова: flatpak, packet, ostree
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (161) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Леголас (ok), 11:37, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    > т.е. сбой при установке теперь не приводит к пропаданию приложения

    Так тоже можно? (:

     
  • 1.2, Fracta1L (ok), 11:40, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Когда оно перестанет так тормозить?
     
     
  • 2.35, псевдонимус (?), 15:53, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Когда на срастётся что-нибудь полезное напишут. Может быть тогда и флаткал перестанет тормозить.
     
  • 2.159, Аноним (159), 22:29, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Когда оно перестанет так тормозить?

    Никогда. Его писали такие-же грамотеи как и ты. Хотя нет, те чуточку поумнее тебя будут. У тебя бы даже до первой версии дело не дошло.

     

  • 1.4, Аноним (4), 11:50, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +18 +/
    Flatpak надо переименовать в Fatpak
     
     
  • 2.37, Аноним (37), 16:03, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    По сути статическая линковка плюс 100500 версий жырноты Qt/KDE...
     
     
  • 3.62, asdasd (?), 20:08, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Нет там статической линковки, там теже либы.
     
     
  • 4.81, анонимуслинус (?), 23:37, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    вот если бы они линковали статически проблем было бы меньше. правда нафига народ создавал тогда разделяемые библиотеки и доступ к ним? тут явный даунгрейд технологий.
     
     
  • 5.146, Анончик9999 (?), 15:58, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Так пользуйся дальше репозиториями, страдай или от нестабильности дистрибутивов, или от несвежих версий софта, или рискуй безопасностю сторонних реп. Не нравится, исхдники+configure&&make&&make install в зубы, статический линкуй, записуй у блокнот, что куда потом поставил. А разработчикам проще и быстрее запаковать в контейнер, и им по боку твоя кривая архитектура.
     
  • 4.96, Аноним (37), 00:30, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > там теже либы.

    какая разница, те или не те, если они индивидуально свои у каждого приложения и не шарятся между ФэтФаками.

     
     
  • 5.148, Аноним (148), 17:33, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Зато снёс приложение - автоматически снеслись и его зависимости.
     
  • 4.116, Соня Мармеладова (?), 03:23, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Динамическая либа, которой пользуется только одно приложение даже хуже, чем статическая - PIC не даётся бесплатно и LTO осуществить нельзя.
     
  • 2.53, Онаним (?), 18:45, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Fatpuke
     

  • 1.5, Consta (?), 11:54, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –9 +/
    Flatpak стал официально поддерживать Альт?
     
     
  • 2.164, Аноним (164), 12:36, 21/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    УМВР

    мимо альтовец

     

  • 1.6, Аноним (6), 12:16, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    >Нeнyжный релиз нeнyжной системы нeнyжныx пакетов Flatpak 1.10.0

    Так правильнее.

     
     
  • 2.7, Аноним (7), 12:18, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Так ненужнее.
     
  • 2.14, анон (?), 13:33, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Единственное, что здесь не нужно - твоё мнение
     
  • 2.77, Анончик99999 (?), 23:24, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    не у всех много времени и нервов на ... configure && make && make install ...
    Кто-то любит быстро, просто и без геморроя.
    Давно пользуюсь Flatpack, очень доволен. Все проги свежих версий и всегда в актуальном состоянии.
     
     
  • 3.79, Анончик99999 (?), 23:27, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    и безопасно.
     
  • 3.166, InuYasha (??), 13:13, 21/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Зачем так сурово? У вас фряха или гента? apt install, yum install, ... если надоест - purge - нет проблем. Только разработчикам лень паковать в дебы и рпмы.
     

  • 1.8, ilyafedin (ok), 12:24, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Snap использует компоненты окружения основной системы

    Эээ, нет, как и флатпак, они предоставляют рантайм, но он основан на пакетах из убунты

     
  • 1.9, Аноним (9), 12:45, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Синдром самодостаточных пакетов...
     
     
  • 2.60, Аноним (60), 19:26, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Синдром самодостаточных пакетов...

    Которые при этом не могут самостоятельно запускаться (в отличие от AppImage).

     
     
  • 3.78, Анончик99999 (?), 23:26, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Appimage - классно, но много программ, что когда-либо ставил, имели проблемы с интеграцией и работой в системе.
     

  • 1.10, Sergey (??), 13:09, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Попробуйте сделать локальное зеркало хотя бы для пары придожений.
     
     
  • 2.23, Redhahhh (?), 14:56, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    В чем проблема?
     
     
  • 3.128, Аноним (128), 07:00, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Хотя бы ссылку на какой нибудь док поэтому для начала.
     

  • 1.11, Аноньимъ (ok), 13:16, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Счастливые хипстерско-шеябородные звуки :-O
     
  • 1.12, Тов Майор (?), 13:18, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    DLLHEll это ты?
     
     
  • 2.29, Аноним (29), 15:30, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Как раз, наоборот.
     
     
  • 3.39, Аноним (37), 16:07, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > В одной системе может быть установлено несколько разных runtime (GNOME, KDE) или несколько версий одного runtime (GNOME 3.36, GNOME 3.38).

    Вот это <белый лис>, система распухает в 100500 раз.

     
     
  • 4.47, анонимит (?), 17:33, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Хоть 100500. Лишь бы дыреней не было.
     
  • 4.72, Аноним (72), 22:27, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Да хоть в сколькоугодна раз, пора бы уже Анониму разморозиться - сейчас, в 2021 году, систему не на дискетках хранят. Лишь бы приложения запускались без вопросов и из коробки.
     
  • 4.82, Анончик99999 (?), 23:39, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Давно пользуюсь Flatpack. Linux Mint со всеми популярными приложениями + приложениями для разработки + играми SuperTux... занимает ~60 Гб на диске.Это в 3 раза меньше, чем я бы все это установил на Windows!
     
     
  • 5.135, тоже Аноним (ok), 10:23, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Соответственно, без подобных местожорок система с установленными приложениями (да, и несколько IDE тоже) занимает 20 Гб на диске.
     
     
  • 6.138, Аноним (72), 12:48, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Какой ужас! 20 (Двадцать) гигабайт! Что, на терабайтном диске на еще один фильм места не хватает? Тысячу прриложений используете? Тут вообще многовато людей со с странными рассуждениями про место на диске.
     
     
  • 7.139, тоже Аноним (ok), 13:03, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Тут вообще многовато людей со с странными рассуждениями про место на диске.

    Так это вы просто не там стоите - вам нужно отсюда пройти в очередь за "просто купить еще памяти".
    А нам таки есть, чем занять системный диск, кроме надувных копий библиотек.

     
     
  • 8.140, Анончик9999 (?), 13:29, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Поставь себя на место разработчика, который решил поддерживать Linux и у которог... текст свёрнут, показать
     
     
  • 9.142, тоже Аноним (ok), 13:33, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    На многовато мест мне надобно себя поставить, чтобы и поддерживать, и стонать Н... текст свёрнут, показать
     
  • 9.154, iPony129412 (?), 18:07, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Так это не про Flatpak совсем... текст свёрнут, показать
     
  • 8.149, Аноним (148), 17:40, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Зачем на системном Эти самодостаточные можно на отдельном примонтированном разд... текст свёрнут, показать
     
     
  • 9.153, тоже Аноним (ok), 17:51, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Да хоть на вытянутых руках держите, только с подветренной стороны, пожалуйста ... текст свёрнут, показать
     
  • 4.125, Lex (??), 06:43, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Оно в любом случае «распухнет», если разным приложениям на компе требуются разные версии библиотек.. только танцев с бубнами будет больше
     
  • 4.137, Аноним (137), 12:31, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    DLL hell возникает, когда у тебя одна библиотека, которая может быть и 1.0.3, и 3.4.6, и хрен ты с этим что сделаешь, кроме перезаписывания и молитвы. Когда у тебя 100500 версий библиотек по разным путям это не DLL hell.
     
     
  • 5.145, все такойже ононим как и всегда (?), 13:50, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    dllmess
     

  • 1.15, Аноним (15), 13:38, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    Зачем делать эти велосипеды, которые созданы для обходов недостатков архитектуры современных линуксов, вместо того чтобы сделать нормальную архитектуру линукс дистрибутивов? Программу 5 летней давности без плясок с бубном ни на одном дистре не запустить. А возьми 25-ти летнее приложение для Win 95 и оно запустится на Win 10, вот где головой думали, а не хайпом.
     
     
  • 2.16, Аноним (16), 13:44, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ты лжёшь, я без проблем пользуюсь ПО 20 летней давности, проблемы только из-за устаревших АПИ, если для них не придумали прослойку совместимости. А вот на венде если что-то не работает, то оно просто не работает, такое очень часто.
     
     
  • 3.18, Аноним (16), 13:48, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    По для линукса кстати превосходное, оно всегда скажет тебе чего и где им не хватает и что ему не нравится. Ты можешь сразу скачать/скомпилировать/пропатчить без проблем. Если ПО для венды не работает, то ты просто "приплыл".
     
     
  • 4.19, Аноним (16), 13:51, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Но что такое "не хватает" я даже не очень могу представить сейчас, обычно это поменявшийся soname у библиотеки. Можно даже симлинк с требуемым soname рядом положить и софтина с большой вероятностью будет работать. хотя часть символов могли удалить и она не обязана этого делать. В общем прекратите распространять эти сказки для бедных, в линуксе всё прекрасно.
     
  • 4.85, Анончик99999 (?), 23:46, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    ... без проблем. Да перестань чушь нести! Далеко не с любым старым софтом все так гладко проходит.
     
     
  • 5.99, Аноним (16), 00:53, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Так глупо утверждать что у венды что-то там работает, когда это тоже зависит от софта. И то что весь софт под венду собирают статикой (или хотя бы бандлят все зависимости) не помогает ни на йоту.
     
     
  • 6.104, Анончик99999 (?), 01:18, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Глупо утверждать, что у венды ничего работает.
     
     
  • 7.136, Аноним (16), 10:51, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Глупо утверждать, что у венды ничего работает.

    Почему глупо, если это так? Многие хомячки просто не в курсе. Либо потому, что совместимость(или костыли) добавили уже в скачаную ими версию, либо потому, что им очень повезло и софтина не выполнила format c: случающийся при определённых обстоятельствах или с некоторыми апдейтами.

     
     
  • 8.143, Анончик9999 (?), 13:34, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Бред какой-то Чаще выходи на улицу, анон ... текст свёрнут, показать
     
     
  • 9.147, Аноним (16), 17:13, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ты просто не шаришь, учись давай ... текст свёрнут, показать
     
  • 4.141, Анончик9999 (?), 13:32, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Не всегда скажет. В большинстве случаев на совести разработчика про это тебе написать!
     
     
  • 5.150, Аноним (148), 17:43, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Утилитку ldd никто не отменял, если приложение само лично не сказало.
     
  • 3.32, DildoZilla (?), 15:40, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну давай, накати на свежую убунту KDE2ю
     
     
  • 4.33, Аноним (16), 15:42, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    CDE же накатил.
     
     
  • 5.73, Аноним (73), 22:36, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    CDE накатил же. Накатил же CDE. Извините )
     
  • 2.17, Аноним (16), 13:45, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    >запустится

    вот это кстати тоже ложь, даже в 8 не всегда работает софт от 7, что уж о более широких периодах говорить.

     
     
  • 3.22, Аноним (22), 14:53, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    За исключением дров, какой процент таких программ? 0,01? 0,001?
     
     
  • 4.25, Аноним (16), 15:05, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Половина игрушек(если не больше), а что?
     
     
  • 5.26, Аноним (16), 15:08, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Половина игрушек(если не больше), а что?

    А вот порты сделанные loki software работают и 20 лет спустя вполне прилично, хотя пропасть между технологиями за эти оды просто безумная и в линуксе особо о совмести никогда не заботились (кроме пары проектов, где совместимость это пунктик, типа glibc).

     
  • 4.100, Аноним (16), 00:57, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > За исключением дров, какой процент таких программ? 0,01? 0,001?

    Вообще практически весь софт несовместим не то что с разными версиями, но зачастую даже с соседними апдейтами. И 100 гигабайт протушхих либ на диске что-то ни разу не помогают венде. Я лично наблюдал проблемы несчётное число раз.

     
  • 2.20, Аноним (6), 13:58, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Винда - платная ширпотребная программа Они могут себе позволить платить людям з... большой текст свёрнут, показать
     
     
  • 3.21, Леголас (ok), 14:14, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    минута анонимной аналитики на опеннет.ру
     
     
  • 4.24, Redhahhh (?), 14:59, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Тут все анонимы. Никто же паспорт не показывает. А, вдрук, ты старая бабушка, которая у внука отобрала ноутбук?
     
  • 3.43, qasar (?), 16:40, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Отсюда и 12309
    > Космонавт

    Космонавт то тут причём, это всё еврофинн Торвальдс, а у его лапки, а в лапках акции Шляпки, а Шляпку проблема 12309 не ипёт.

     
     
  • 4.52, Аноним (6), 18:04, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Космонавт якобы хотел сделать Linux great 4ever. Если бы он заплатил за патч для 12309, его программеры разработали бы его и внедрили в убунту, то Т. не смог бы ничего поделать, даже если бы Т. забраковал патч и помахал средним пальцем, другие бы дистры всё равно бы патч утащили.

    Но Космонавту это не надо. По-видимому, затраты на разработку и внедрение этого патча не окупятся никогда. Корпорациям не нужно, а обычные пользователи и копейки не дадут.

     
  • 3.86, Анончик99999 (?), 23:53, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    космонавту надо было хотябы 30$ выставить за LTS-дистрибутив в год по подписочке.
     
  • 3.108, FixingGunsInAir (ok), 01:55, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    12309? Батенька, да вы некрофил. Он давно уже решён.
     
  • 2.74, Аноним (72), 22:42, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Правда твоя аноним, федора например, по опыту деградирует на третий год :) Приложения в винде - без проблем работают какого то 2005 бородатого года (15 летней давности). Чуть чуть версию glibc или glibc++ подправили и все - прога нерабочая. Можно виртуальную машину с виндой запускать :)
    Умники с советами собрать из сырцов идут лесом - свое время дороже.
     
     
  • 3.87, Анончик99999 (?), 23:56, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    еще большая удача, если все успешно собралось!
     
     
  • 4.152, Аноним (148), 17:50, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ну если у кого система pure 64-bit, то да, с большой вероятностью прога 2005 г. не соберётся.
     
  • 2.83, Анончик99999 (?), 23:44, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    так flatpack-программой ты сможешь пользоваться сколько захочешь на всех дистрах, которые ее поддерживают. Другое дело с версиями. Flatpack будет в фоне инкрементально обновлять твою прогу до самой свежей версии. Интересно, как вот на счет платного проприоритарного софта, слышал, Snap хорошо для таких прог подходит.
     
     
  • 3.107, FixingGunsInAir (ok), 01:50, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Тут несколько вариантов 1 Создаётся Store для контейнеров, в который они по до... большой текст свёрнут, показать
     
  • 3.121, iPony129412 (?), 05:30, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > как вот на счет платного проприоритарного софта, слышал, Snap хорошо для таких прог подходит.

    Вообще в API была добавлена опция для поддержки оплаты давно.
    Но в итоге забили. Разве что платные по подписке есть (со своим сервисом).

     
  • 2.105, FixingGunsInAir (ok), 01:30, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >Зачем делать эти велосипеды, которые созданы для обходов недостатков архитектуры современных линуксов, вместо того чтобы сделать нормальную архитектуру линукс дистрибутивов?

    Потому что тогда придётся сделать единый дистрибутив с блекджеком и шлюхами, который должен устраивать всех. А остальные закрыть.

    Надеюсь, тебе не нужно объяснять, почему это не сработает.

    Пока есть свобода не соблюдать эту архитектуру, кто-то её соблюдать НЕ БУДЕТ. Да ещё будет с важным видом попёрдывать из-за угла, что он на самом деле прав, это вы идиоты.

     

     ....большая нить свёрнута, показать (33)

  • 1.27, user90 (?), 15:16, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Флатфак ;) Вендовенько..
     
     
  • 2.40, Аноним (37), 16:11, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Осталось дождаться появления собственных ядер внутри пакетов...
     

  • 1.28, Аноним (-), 15:16, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >Пользователям, интересующимся новинками, Flatpak позволяет установить самые свежие тестовые и стабильные выпуски приложений

    Ну такой запах свежести https://github.com/flathub/com.xnview.XnViewMP/issues/5 "gimp не просмоторщик"

     
     
  • 2.109, FixingGunsInAir (ok), 01:58, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Это пакет от энтузиаста. Если он забил хер, можешь ты обновить.
     
  • 2.119, Анончик99999 (?), 04:21, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    На офф. сайте разработчика есть .deb-, appimage-пакеты, tar.gz-архив.
    Актуальная версия XnView MP - 0.98. По ходу автор забил на Flatpack, или энтузиасты, которые выкладывали freeware на Flathub.
     
  • 2.134, Аноним (134), 10:20, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Автар готовит аппимедж. Флатпак это ктото другой.
     

  • 1.30, Док (?), 15:34, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Неудобно ручками запускать приложения flatpak run app
    Есть другой способ?
     
     
  • 2.34, linxon (ok), 15:48, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    в федоре сделано вот так:

    XDG_DATA_DIRS=/home/linxon/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share/:/usr/share/

     
  • 2.70, Аноним (70), 21:48, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    PATH=$PATH:/var/lib/flatpak/exports/bin/ и тоже самое для пути в папке хоум. Запускать соответственно org.…
    А ярлык в меню появляется сам по себе.
     
  • 2.88, Анончик99999 (?), 23:59, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    в Linux Mint ярлычки в меню и на рабочем столе. Все уютненько, аккуратно, по виду даже не различишь, что flatpack-программа! В Менеджере программ тоже присутствует в отдельной категории. Поиск, установка, все просто...
     

  • 1.31, Аноним (31), 15:39, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Тот же snap по умолчанию не включен в Минте по соображениям безопасности, а flatpak присутствует. Кто знает почему? Системы вроде бы схожи.
     
     
  • 2.36, Аноним (7), 15:59, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    снап работает демоном, чет там самостоятельно выкачивая/отсылая
    у снапа нет репозиториев сообщества, основная репа контролируется каноникалом
     
     
  • 3.41, iPony129412 (?), 16:26, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –5 +/
    Так это одни плюсы 👌
     
     
  • 4.45, user90 (?), 16:55, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    На C ничего нет?))
     
     
  • 5.80, Аноньимъ (ok), 23:27, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Есть только раст.
     
     
  • 6.95, Аноним (37), 00:26, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    за него и держись
     
  • 2.59, Аноним (70), 19:20, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    снап обновляется без спросу не известно на что. Не ставь снап всегда выбирай аппимадж.
     
  • 2.89, Анончик99999 (?), 00:01, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    В Linux Mint 20 удалили... Читай в тогдашних новостях. Но вернуть можно, удалив с черного списка. Рецепт в инете просто можно найти.
     
  • 2.120, Аноним (120), 04:56, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Снап тормозной как в плане установки приложений так и в холодном старте программы, Снап запутывает пользователей apt из-за дублирования пакетов и по дефолту предлагая свои глючные версии вместо нативных. Пример: хромиум.
     

  • 1.38, Аноним (38), 16:04, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Годнота. А как определить куда лезет приложение при запуске? Типо аудита что ли.
     
  • 1.42, qasar (?), 16:35, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Chromium и VLC в Ubuntu есть только в snap (те же яйца), жду когда им будет лень собирать Мозиллу и, сдрысну на винду, ибо там это изначально и никто ничего не обещал. Systemd, flat, snap, пошли вы в опу!
     
     
  • 2.44, user90 (?), 16:52, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Systemd, flat, snap, пошли вы в опу!

    Еще с размаха врежь себе по роже - дистрибутив же сам выбирал)

     
     
  • 3.49, BrainFucker (ok), 17:53, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Еще с размаха врежь себе по роже - дистрибутив же сам выбирал)

    Выбирай не выбирай, что толку, сейчас официальные сборки некоторых приложений разработчиками распространяются либо через snap, либо через flatpak, так что ползователю приходится иметь обе эти вундервафли.
    Официальный клиент Let's Encrypt например теперь только через snap, из-за чего отказался от него и перешёл на acme.sh

    Мне поэтому из всего этого больше нравится AppImage за его гениальную простоту и отсутствия необходимости ставить дополнительный менеджер пакетов какой-то. Просто скачал программу и запустил, всё.

     
     
  • 4.51, user90 (?), 18:02, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > сборки некоторых приложений разработчиками распространяются либо через snap, либо через flatpak

    А некоторые - вообще только под венду, прикинь)

    > нравится AppImage за его гениальную простоту

    В сортах не разбираюсь, гг.

     
  • 2.46, iPony129412 (?), 17:17, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > VLC в Ubuntu есть только в snap

    ложь.

     
  • 2.54, Сишник (?), 18:51, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Можно от дебиана репу подключить и оттуда поставить хромиум без шлакпака.
     
  • 2.75, Аноним (73), 22:43, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    GNU/Linux для дома мёртв.
     
     
  • 3.90, Анончик99999 (?), 00:04, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    можно работать, если знаешь для чего нужно.
     
  • 2.93, Аноним (72), 00:19, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >пошли вы в опу!

    Экий месье нервный, а я вот перешел на виндовые версии моих приложений, через vmware. Счас когда наберется процент больше чем под линухом точно винду установлю XD

     

  • 1.48, BrainFucker (ok), 17:45, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    > упростить распространение своих программ, не входящих в штатные репозитории дистрибутивов

    А установить приложение не из интернет можно? Как можно с AppImage, например.

     
     
  • 2.61, Аноним (60), 19:42, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > А установить приложение не из интернет можно? Как можно с AppImage, например.

    Нет, а иначе как Большой Брат будет втюхивать хомячью свои дырявые бинарники?!

     
  • 2.71, Аноним (70), 21:49, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    И как его распространять на болванках в переходе?
     
  • 2.91, Анончик99999 (?), 00:06, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Можно ставить не из Flathub. То есть ставить с других хранилищ, а в случае отсутствии интернета, с локального пакета.
     
     
  • 3.97, BrainFucker (ok), 00:45, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Можно ставить не из Flathub. То есть ставить с других хранилищ, а
    > в случае отсутствии интернета, с локального пакета.

    То есть там предусмотрена такая возможность одно приложение - один файл? А как его получить из репозитория чтобы потом на другой машине установить?

     
     
  • 4.103, Аноним (37), 01:08, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Это страшная тайта свидетелей фэтфака, никто не знает, как это сделать, но верят, что вроде можно.
     
  • 4.106, Анончик99999 (?), 01:36, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    даже если ты его получишь, потом будут проблемы еще и с runtime без подключения к сети.
     
     
  • 5.112, FixingGunsInAir (ok), 02:08, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Просто нужно экспортировать сразу и runtime. В чём проблема?

    Если хочешь, чтобы одной командой, patches are welcome.

     
     
  • 6.123, Анончик99999 (?), 06:04, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Просто нужно экспортировать сразу и runtime. В чём проблема?
    > Если хочешь, чтобы одной командой, patches are welcome.

    Проблема в том, что можно забыть.


     
  • 4.111, FixingGunsInAir (ok), 02:07, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    https://docs.flatpak.org/en/latest/single-file-bundles.html

    Но они советуют всё-таки использовать create-usb:
    https://docs.flatpak.org/en/latest/usb-drives.html

     
     
  • 5.124, Анончик99999 (?), 06:14, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > https://docs.flatpak.org/en/latest/single-file-bundles.html
    > Но они советуют всё-таки использовать create-usb:
    > https://docs.flatpak.org/en/latest/usb-drives.html

    Спасибо! Я пока только поверхностно познакомился с Flatpack, но где-то через месяц-два буду разбираться в документации, буду паковать свое приложение. А нужен доступ и до оборудования (для генерации серийника), и до системных утилит, и до путей хоста.
    Помню, раньше установил snap-пакет программы outwiker. Открыл доступ к путям хоста, но разделы в NTFS и скрытые каталоги почему-то программа не видела. Посмотрим, не будет ли подобных ограничений у Flatpack.

     
     
  • 6.132, Аноньимъ (ok), 07:42, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Вирус шифровальщик делаете?
     
     
  • 7.144, Анончик9999 (?), 13:41, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Нет.
     
  • 2.110, FixingGunsInAir (ok), 02:04, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Есть поддержка bundle, которые устанавливают полностью оффлайн. Есть поддержка репозитория на usb-дисках.
     

  • 1.50, Аноним (50), 17:59, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    При установке хромиум из флатпаков или снапов заработает ли аппаратное ускорение через vaapi?
     
     
  • 2.55, iPony129412 (?), 19:09, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Зависит от кучи факторов.
    В теории должно и работает на практике.
    Но сказать про конкретную конфигурацию сложно.

    Короче почти как с обычным Chromium.

     
     
  • 3.56, Аноним (37), 19:14, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > Зависит... В теории... сложно сказать... почти...

    Суть всех современных свистопирделок.

     
     
  • 4.57, iPony129412 (?), 19:15, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Линукса чтоли? Как-то не особо он новый...
     
  • 4.58, Аноним (70), 19:19, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ставь оффтопик.
     
  • 4.63, triolan (?), 20:29, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > > Зависит... В теории... сложно сказать... почти...

    Может, но пока нет (c)

     
     
  • 5.126, iPony129412 (?), 06:45, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Как и с обычным Chromium.
    Что Flatpak, что SNAP разве что прижмёт пользователей проприетарного драйвера Nvidia.
    Но это и без них около того же.
     
  • 2.92, Анончик99999 (?), 00:07, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    С осени работает.
     
  • 2.113, FixingGunsInAir (ok), 02:10, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Если Chromium собран с нужным патчем - да. Но собран ли в Flathub - гарантировать не могу. Все претензии - к Google. Если очень хочешь - собери сам.

    VLC никто не мешает использовать VAAPI из flatpak.

     
     
  • 3.127, iPony129412 (?), 06:45, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Претензии к Гугл по Chrome, а вы там уж как-то сами.
     

  • 1.64, Аноним (64), 20:42, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Чем это лучше nix и guix?
     
     
  • 2.68, псевдонимус (?), 21:01, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ничем. Первое наркомания, другие два для инопланетян.
     
  • 2.69, Аноним (69), 21:02, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > и guix?

    95% анонов не в состоянии его осилить :)

     
     
  • 3.131, Гы (?), 07:26, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Guix не только анонимусы поставить не могут, но и многие продвинутые пользователи Linux. Банально, но нужно попыхтеть с перекомпеляцией ядра на стадии установки для того, чтобы твоя видеокарту начала отдачу видео. Загрузка же блобов от видеокарту и не только запрещён в LibreKernel. Вот так разработчики выстрелили себе в ногу и отпугнули возможных пользователей своего дистрибутива. Даже Fedora при всей своей строгости к лицензиям и наличию открытых исходников понимает, что нужно по дефолту поставлять бинарные прошивки для устройств.
     
  • 2.114, FixingGunsInAir (ok), 02:15, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ты сравниваешь контейнеровоз с космическим крейсером из Star Trek.
     

  • 1.67, Аноним (67), 20:58, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    > При обновлении теперь вначале устанавливается новая версия приложения и только потом удаляется старая, т.е. сбой при установке теперь не приводит к пропаданию приложения.

    Ну этим все сказано об этом софте. Ржака еще та... Используйте не обляпайтесь лошки...

     
     
  • 2.76, Аноним (37), 23:07, 17/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > сбой при установке

    дожили...

     
  • 2.115, FixingGunsInAir (ok), 02:19, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Ну да, ну да. Только тут сбой при установке всего-лишь похерил приложение, которое можно установить снова.

    А какие сбои при установке пакетов в неизолированных окружениях бывают, вплоть до rm -rf /usr. Это кому ты тут советуешь не обляпаться? :D

     

  • 1.84, анонъчик (?), 23:46, 17/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    С учётом истории предыдущих нововведений Шапки, в связке с Сильверблю — возможно, будущее линуксового десктопа (как бы кто не относился к этому).
     
     
  • 2.94, Аноним (37), 00:23, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Будущее - за приложениями со статической линковкой ядра, выполняющимися в виртуалках.
     
     
  • 3.101, Аноним (101), 01:03, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ты хотел сказать за Electron?
     
     
  • 4.102, Аноним (37), 01:06, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    со статической линковкой ядра. Если не в курсе, что это такое, поинтересуйся на досуге.
     
     
  • 5.130, Аноним (130), 07:22, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Все в wasm там всё статическое.
     
     
  • 6.151, Аноним (37), 17:49, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Вокруг Васяна надо круг мелом на полу рисовать, чтобы из того круга никакая нечисть не вылезла наружу.
     

  • 1.98, Аноним (101), 00:47, 18/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Флатпаком хорошую вещь не назовут
     
  • 1.118, Соня Мармеладова (?), 03:33, 18/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Фигово че то. Надо гипервизор и каждый апп в отдельном инстансе ОС. Тогда победим.
     
     
  • 2.129, Аноним (130), 07:22, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не подсказывай им.
     
  • 2.133, Аноним (133), 08:46, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    гугли Qubes OS
     

  • 1.155, псевдонимус (?), 18:08, 18/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Практически вкорячили докер на дсктоп. Докер гойловного мозга.
     
  • 1.156, Аноним (156), 18:40, 18/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    когда я устаовил убунту на распберри 4б 8gb то заметил, что два процесса в простое жруг процессор, и память

    это были:
    flatpack  ~1GB
    pulseaudio ~1GB

     
     
  • 2.157, Аноним (37), 19:57, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    ну, с пульсой - понятно, её потеринг писал. А фэтфак - кто?
     

  • 1.158, Аноним (158), 21:25, 18/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Релиз хомячковой поделки для неосиляторов пакетных систем/портов
     
     
  • 2.160, анонэ (?), 23:15, 18/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Пакетные менеджеры как раз практически невозможно не осилить - они предельно просты и понятны. Этот же хронический ужас (как и Nix) - попытка умалишённых запилить linsxs, чтобы установка и обновление софта доставляло столько же проблем, что и на винде.
     
     
  • 3.162, Аноним (162), 06:58, 21/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Пакетные менеджеры как раз практически невозможно не осилить - они предельно просты и понятны

    Но хомяки не ослилили и запилили флатошлаки. Потому и качество софта в них такое.

     

  • 1.161, Аноним (161), 20:19, 19/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    https://i.ibb.co/1JLwR2S/adobe.png
     
     
  • 2.163, Аноним (162), 06:59, 21/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Во, неосилятор.
     
     
  • 3.167, Аноним (161), 21:46, 21/01/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Флэш запрещён. Кто пытается поставить флэш, тот не очень дружественно настроен к пользователю. Или одно из двух )
     

  • 1.165, Аноним (164), 12:42, 21/01/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Эта ссылка должна быа быть не в поседней строке новости а в первом же комментарии: http://flatkill.org/2020/

    А так-то, NixOS и GNU Guix System - наше всё.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру